cascading.tap.hadoop.io

## Class RecordReaderIterator

- java.lang.Object
- - cascading.util.SingleValueIterator<Value>
  - - cascading.util.SingleValueCloseableIterator<org.apache.hadoop.mapred.RecordReader>
    - - cascading.tap.hadoop.io.RecordReaderIterator

All Implemented Interfaces:
  CloseableIterator<org.apache.hadoop.mapred.RecordReader>, java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<org.apache.hadoop.mapred.RecordReader>

    public class RecordReaderIterator
    extends SingleValueCloseableIterator<org.apache.hadoop.mapred.RecordReader>

RecordReaderIterator is a utility class for handing off a single `RecordReader` instance via the `Iterator`.

This class is frequently used with the `TupleEntrySchemeIterator` where there is only one RecordReader to iterate values over.

### Field Summary

### Fields inherited from class cascading.util.SingleValueIterator

`EMPTY, value`

### Constructor Summary

Constructors
Constructor and Description
`RecordReaderIterator(org.apache.hadoop.mapred.RecordReader reader)`

### Method Summary

Methods
`void` `close()`

### Methods inherited from class cascading.util.SingleValueCloseableIterator

`getCloseableInput`

### Methods inherited from class cascading.util.SingleValueIterator

`hasNext, next, remove, reset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`hasNext, next, remove`

### Constructor Detail

#### RecordReaderIterator

    public RecordReaderIterator(org.apache.hadoop.mapred.RecordReader reader)

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in class `SingleValueCloseableIterator<org.apache.hadoop.mapred.RecordReader>`
Throws:
  `java.io.IOException`